<?xml version="1.0" encoding="UTF-8"?>

<project>
  <extend>${basedir}/../project.xml</extend>
  <!-- the version of maven's project object model -->

  <pomVersion>3</pomVersion>
  <!-- a unique name for this project -->

  <id>maven-uberjar-plugin</id>
  <!-- a short but descriptive name for the project -->

  <name>Maven Uberjar Plugin</name>
  <!-- The version of the project under development, e.g.
       1.1, 1.2, 2.0-dev -->

  <currentVersion>1.1-SNAPSHOT</currentVersion>
  <!-- a short description of what the project does -->

  <shortDescription>Uberjar packages your project as well as its dependencies into a single jar file. In addition, bootstrap code is added that enables a main class to be invoked by simply typing: java -jar your.jar</shortDescription>
  <!-- the project home page -->

  <url>http://maven.apache.org/reference/plugins/uberjar/</url>
  <siteDirectory>/www/maven.apache.org/reference/plugins/uberjar/</siteDirectory>
  <repository>
    <connection>scm:cvs:pserver:anoncvs@cvs.apache.org:/home/cvspublic:maven/src/plugins-build/uberjar/</connection>
    <url>http://cvs.apache.org/viewcvs/maven/src/plugins-build/uberjar/</url>
  </repository>
  <!-- any mailing lists for the project -->

  <mailingLists/>
  <!-- who the developers are for the project -->

  <developers>
    <developer>
      <name>Jason van Zyl</name>
      <id>jvanzyl</id>
      <email>jason@zenplex.com</email>
      <organization>Zenplex</organization>
      <roles>
        <role>Architect</role>
        <role>Release Manager</role>
      </roles>
    </developer>
    <developer>
      <name>Bob McWhirter</name>
      <id>werken</id>
      <email>bob@werken.com</email>
      <organization>The Werken Company</organization>
      <roles>
        <role>Java Developer</role>
      </roles>
    </developer>
    <developer>
      <name>Pete Kazmier</name>
      <id>kaz</id>
      <email>pete-apache-dev@kazmier.com</email>
      <organization/>
      <roles>
        <role>Documentation</role>
        <role>Java Developer</role>
      </roles>
    </developer>
  </developers>
  <!-- jar files the project is dependent on -->

  <dependencies>
    <dependency>
      <id>velocity</id>
      <version>1.4-dev</version>
      <url>http://jakarta.apache.org/velocity/</url>
    </dependency>
    <dependency>
      <groupId>commons-jelly</groupId>
      <artifactId>commons-jelly-tags-velocity</artifactId>
      <version>20030303.205659</version>
      <properties>
        <classloader>root.maven</classloader>
      </properties>
    </dependency>
    <dependency>
      <id>classworlds</id>
      <version>1.0-rc1</version>
      <url>http://classworlds.werken.com</url>
    </dependency>
  </dependencies>
</project>
